%define AMC_OPENCV -I %{_includedir}/opencv -lopencv_core -lopencv_highgui
%define AMC_cat Education;
%define AMC_makepass SYSTEM_TYPE=rpm MODSDIR=%{_libdir}/AMC MODELSDIR=%{_datadir}/%{name}/models TEXDIR=%{_datadir}/texmf/tex/latex/AMC BINDIR=%{_bindir} ICONSDIR=%{_datadir}/%{name}/icons PIXDIR=%{_datadir}/pixmaps PERLDIR=%{perl_vendorlib} MAN1DIR=%{_mandir}/man1 DOCDIR=%{_docdir}/%{name} DESKTOPDIR="" DESKTOP_CAT="%{AMC_cat}" GCC_OPENCV="%{AMC_OPENCV}" USER_GROUP=""

%define subrel  1

Name:           auto-multiple-choice
Version:        1.2.1
Release:        %mkrel 7
Summary:        Auto Multiple Choice - Multiple choice papers management
License:        GPLv2+
Group:          Education
URL:            http://home.gna.org/auto-qcm/
Source0:        http://download.gna.org/auto-qcm/%{name}_%{version}_sources.tar.gz
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(opencv)
BuildRequires:  desktop-file-utils
BuildRequires:  librsvg
BuildRequires:  netpbm-devel
BuildRequires:  netpbm
BuildRequires:  dblatex
BuildRequires:  texlive-dist
BuildRequires:  docbook-style-xsl
BuildRequires:  docbook-dtds
BuildRequires:  perl-Archive-Tar
BuildRequires:  dblatex

Requires:       texlive
Requires:       perl-Net-CUPS
Requires:       ghostscript
Requires:       poppler
Requires:       netpbm
Requires:       unzip
Requires:       graphicsmagick
Requires:       perl(Graphics::Magick)
Requires:       perl(DBD::SQLite)

%description
Utility to manage multiple choice questionnaires, with optionally
mixed questions and answers. AMC provides automatic marking from papers'
scans. Annotated papers are produced. Marks can be exported as a
OpenOffice.org sheet file.

%files -f %{name}.lang
%doc COPYING ChangeLog doc/html doc/%{name}.??.xml doc/%{name}.??.pdf
%doc %{_datadir}/doc/texmf/AMC
%dir %{_datadir}/%{name}
%{_libdir}/AMC
%{_datadir}/%{name}/models
%{_datadir}/%{name}/icons
%{_datadir}/texmf/tex/latex/AMC
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/gtksourceview-3.0/language-specs/amc-txt.lang
%{_datadir}/mime/packages/%{name}.xml
%{perl_vendorlib}/AMC
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.*.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/AMC-*.1*

#------------------------------------------------------------------------------

%prep
%setup -q

%build
make %{AMC_makepass} GCC_NETPBM="-I /usr/include/netpbm -lnetpbm" GCC_POPPLER="-I /usr/include/poppler -lpoppler" GCC="gcc" GCC_PP="g++" CFLAGS="%{optflags} -Wall" CXXFLAGS="%{optflags} -Wall" TEXINPUTS=/usr/share/dblatex/latex/graphics/:

%install
make DESTDIR=%{buildroot} %{AMC_makepass} install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications %{name}.desktop
%find_lang %{name}

%post
texconfig-sys rehash

%postun
texconfig-sys rehash


%changelog
* Wed Nov 25 2015 daviddavid <daviddavid> 1.2.1-7.1.mga5
+ Revision: 905984
- add missing Requires on perl-DBD-SQLite (mga#17218)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-7.mga5
+ Revision: 749419
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 678052
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1.2.1-5.mga5
+ Revision: 668376
- rebuild

* Tue Dec 31 2013 dmorgan <dmorgan> 1.2.1-4.mga4
+ Revision: 563430
- Fix Buildrequires with new texlive

* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 535204
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dams <dams> 1.2.1-2.mga4
+ Revision: 481646
- remove gcc 4.6 patch
- change 'texlive' BR to 'texlive-dist'

* Fri Aug 02 2013 dams <dams> 1.2.1-1.mga4
+ Revision: 462505
- new version 1.2.1

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 346614
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 30 2012 malo <malo> 1.1.1-1.mga3
+ Revision: 301060
- new version 1.1.1

* Wed Jun 13 2012 fwang <fwang> 1.1.0-1.mga3
+ Revision: 260290
- update file list
- update file list
- new version 1.1.0
- rebuild for new poppler

* Mon Mar 05 2012 fwang <fwang> 1.0.3-2.mga3
+ Revision: 218393
- add debian patches to fix build

  + luigiwalser <luigiwalser>
    - rebuild for netpbm

* Fri Dec 30 2011 mikala <mikala> 1.0.3-1.mga2
+ Revision: 188870
- Update tarball to 1.0.3

* Fri Oct 28 2011 fwang <fwang> 1.0.2-2.mga2
+ Revision: 158955
- rebuild for new poppler

* Tue Oct 18 2011 mikala <mikala> 1.0.2-1.mga2
+ Revision: 155988
- Update tarball to 1.0.2

* Tue Sep 27 2011 fwang <fwang> 1.0-2.mga2
+ Revision: 149369
- rebuild for new poppler

* Sun Sep 25 2011 mikala <mikala> 1.0-1.mga2
+ Revision: 147567
- Update tarball to 1.0
- remove %%defattr() and %%clean section
- fix buildrequires

  + fwang <fwang>
    - rebuild for new opencv

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Tue May 10 2011 mikala <mikala> 0.468-1.mga1
+ Revision: 97051
- Update tarball to 0.468
- Add %%clean section
- Clean %%buildroot in %%install section
- Fix BR
- imported package auto-multiple-choice

